Subject: Re: bug#11068: 24.0.94; Face-remapped background does not extend to end of window

From: Stefan Monnier <[email-masked]>
Date: Sat, 24 Mar 2012 14:04:05 -0400

> There's just one detail missing: A number of people asked for
> highlighting _only_ the selected window and if a buffer appears in more
> than one window the present mechanism won't help in this regard.  So
> couldn't we have the mechanism also respect a window parameter
> specifying some face as default window face with higher priority than
> the face specified for the buffer?

If you want such a feature, I'd suggest you start by looking at every
place that observes Vface_remapping_alist and change it to also consider
Fwindow_parameter (selected_window, Qface_remapping_alist).
I can't guarantee this will be sufficient, but it should be a good
starting point.

        Stefan